GNU bug report logs - #39736
27.0.60; wrong display of scaled checkerd pattern image

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: ynyaaa@HIDDEN; merged with #38394; dated Sat, 22 Feb 2020 14:28:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 39736 <at> debbugs.gnu.org:


Received: (at 39736) by debbugs.gnu.org; 24 Feb 2020 19:05:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 24 14:05:33 2020
Received: from localhost ([127.0.0.1]:54107 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j6J2r-0006nj-00
	for submit <at> debbugs.gnu.org; Mon, 24 Feb 2020 14:05:33 -0500
Received: from mailout-l3b-97.contactoffice.com ([212.3.242.97]:59972)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1j6J2p-0006nT-9j
 for 39736 <at> debbugs.gnu.org; Mon, 24 Feb 2020 14:05:32 -0500
Received: from smtpauth1.co-bxl (smtpauth1.co-bxl [10.2.0.15])
 by mailout-l3b-97.contactoffice.com (Postfix) with ESMTP id F18D92B19;
 Mon, 24 Feb 2020 20:05:24 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1582571124; 
 s=20200222-6h9o; d=idiocy.org; i=alan@HIDDEN;
 h=Date:From:To:Cc:Subject:Message-ID:References:MIME-Version:Content-Type:Content-Transfer-Encoding:In-Reply-To;
 l=1247; bh=8oGblQSX1wjldii+yJUJ9qXDt83IIME+MzlkYZlkvpY=;
 b=iyXPYCiBFKoq9TolaN6EeZGvrW/50PYmjis1hJb74a+eGrunQbLhYVGwG5Kiush4
 uaP3JBAFwyFGyZLRAmd+ZyeBmTpYXqxC4bRrUXhsx4uiRFNetJu1ZAE3IfKQ1ikKsAZ
 tqIKNpGuvp4FNn75ULAz/kHi47dJeYDsaDLZwTBRb4DtPrEwuXZyjBPxUtibJStuSyI
 CoMnf9zfgI8eM6KkTZEf5mMStllh65ZP1YSoB7FTt4BhG3fujfRr/P6vKerbKnC+pUo
 iJf5jfZWOe0hSPqcI/V/fQr31pmmDvuJiiVJffRaGPWSvfu6sUUgxk0yckhQawq/jK7
 O2eBUCZH4g==
Received: by smtp.mailfence.com with ESMTPA ;
 Mon, 24 Feb 2020 20:05:18 +0100 (CET)
Date: Mon, 24 Feb 2020 20:05:23 +0100 (CET)
From: Alan Third <alan@HIDDEN>
To: ynyaaa@HIDDEN
Subject: Re: bug#39736: 27.0.60; wrong display of scaled checkerd pattern image
Message-ID: <20200224190516.GA69863@HIDDEN>
References: <86k14epuj5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <86k14epuj5.fsf@HIDDEN>
X-Spam-Flag: NO
X-Spam-Status: No, hits=-2.9 required=4.7 symbols=ALL_TRUSTED,
 BAYES_00 device=10.2.0.1
X-ContactOffice-Account: com:241649512
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39736
Cc: 39736 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Sat, Feb 22, 2020 at 11:26:54PM +0900, ynyaaa@HIDDEN wrote:
> 
> A scaled checkered pattern image is converted into a solid gray image.
> I expect a large chechered pattern.
> Evaluating the form below, a solid gray square is displayed.
> 
> (let ((data "\
> P1
> 8 8
> 01010101
> 10101010
> 01010101
> 10101010
> 01010101
> 10101010
> 01010101
> 10101010
> "))
>   (insert-image (create-image data 'pbm t :scale 8)))

I believe this is the same as bug#38394. Could you perhaps try the
patch at

    https://debbugs.gnu.org/cgi/bugreport.cgi?bug=38394

> The form below temporally displays another image.
> The upper side is gray, the lower-left corner is black,
> and the lower-right corner is white.
> Once the text cursor gets on the image, the whole image is displayed as
> a gray square.
> 
> (let ((data "P1\n2 2\n01\n10")
>       (buf (generate-new-buffer "tmp")))
>   (switch-to-buffer buf)
>   (insert "\na")
>   (goto-char (point-min))
>   (redisplay)
>   (insert-image (create-image data 'pbm t :scale 16)))

I tried this and couldn’t replicate it, but I believe I had the patch
for 38394 applied, so it may be a fix. Alternatively it could be
related to the way the cursor is drawn on images.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39736; Package emacs. Full text available.
Merged 38394 39736. Request was from Alan Third <alan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Feb 2020 14:27:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 22 09:27:04 2020
Received: from localhost ([127.0.0.1]:48718 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j5VkG-0002kH-0J
	for submit <at> debbugs.gnu.org; Sat, 22 Feb 2020 09:27:04 -0500
Received: from lists.gnu.org ([209.51.188.17]:38228)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ynyaaa@HIDDEN>) id 1j5VkF-0002kA-35
 for submit <at> debbugs.gnu.org; Sat, 22 Feb 2020 09:27:03 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:51280)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ynyaaa@HIDDEN>) id 1j5VkD-0007ap-KK
 for bug-gnu-emacs@HIDDEN; Sat, 22 Feb 2020 09:27:02 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ynyaaa@HIDDEN>) id 1j5VkC-0000AS-7o
 for bug-gnu-emacs@HIDDEN; Sat, 22 Feb 2020 09:27:01 -0500
Received: from mail-pg1-x541.google.com ([2607:f8b0:4864:20::541]:45278)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <ynyaaa@HIDDEN>) id 1j5VkB-0000AJ-U7
 for bug-gnu-emacs@HIDDEN; Sat, 22 Feb 2020 09:27:00 -0500
Received: by mail-pg1-x541.google.com with SMTP id b9so2518969pgk.12
 for <bug-gnu-emacs@HIDDEN>; Sat, 22 Feb 2020 06:26:59 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=/Cvacik6h//wrFNHARumaN5f63zz7DVyllVW/ToFaSQ=;
 b=ZSEZYHlwhPpxvFhxq0YpSUeS+bf3Cujd1S70fzQ/xY/lPXpQSWcJfRj3ZSvC9nFXV0
 tgOCFk1ulBESP3EfyWvOMTMhJZDOgBmzWMftka3qqDn3n2k60pSba5IGy6No8D0+ubjd
 rD79av+sxiAPqidVu6Vpv32NX7SVuoyE764993GZZUJxYSzht5iLQyAtTsflgmlV8rT4
 Q9bv8L1WH2i2lFgNxmCRW3l4QK0Wvq5EWZXipLsA7ge1uPuE3O+HT33FkCI4+VxBg9hE
 MiFVO4NMHrtu09UGnJ/0YLwa95hTbpjCMAOxgbu4IqB0QR1SmGWA3MgQGrxWL352GDF/
 94hQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=/Cvacik6h//wrFNHARumaN5f63zz7DVyllVW/ToFaSQ=;
 b=Jq1wWgiMetotPFZqDjVOPKylorA1nnzey88XV9RArwbvncXiyk8H9oK4ACD5+vRz/0
 nmZU85xyevHmmTksW6PEdsrWmtPQBapkfRh4CKYlE8fDLOHS+ELUz8FyIYHCxlYww1DN
 ZAO+33VH7/TIk2c3nhBTqZFDvJBijRbSZbcM1/rwExW4rtAoMf87Zxm6/t+l2JRf6h/4
 J0EsQyHcs984/Fq2faUhRQrCWywy03bZx9yJQ8RcYqWXC7pdCTSe+u1rTnBbBcGeY6O+
 4vZPOGdnAm2zztpOw5bvISYwXN4q8SJjE1aMk/1He9fi4fnBDGO8PdKTGJAiSoJOvcCe
 lvxg==
X-Gm-Message-State: APjAAAUK+OM/WbC0K8CYlo/5qslptKomqsG3UNWkR94geUa8JLpTUu6J
 rAb2BZYihe3PpfNEchzKVIZ3Exai
X-Google-Smtp-Source: APXvYqz0A9p8dv0UAio5Rknjh+5FMghuJ2QS/XYTrU7Q7z8HoLwrwjYqlGr1bS37vAH43FxcqZqc0g==
X-Received: by 2002:a62:16d0:: with SMTP id 199mr42861182pfw.96.1582381618029; 
 Sat, 22 Feb 2020 06:26:58 -0800 (PST)
Received: from HP (east42-p122.eaccess.hi-ho.ne.jp. [219.121.173.123])
 by smtp.gmail.com with ESMTPSA id f8sm6539456pfn.2.2020.02.22.06.26.56
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 22 Feb 2020 06:26:57 -0800 (PST)
From: ynyaaa@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.60; wrong display of scaled checkerd pattern image
Date: Sat, 22 Feb 2020 23:26:54 +0900
Message-ID: <86k14epuj5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::541
X-Spam-Score: 2.3 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  A scaled checkered pattern image is converted into a solid
 gray image. I expect a large chechered pattern. Evaluating the form below,
 a solid gray square is displayed. (let ((data "\ P1 8 8 01010101 10101010
 01010101 10101010 01010101 10101010 01010101 10101010 ")) (insert-image
 (create-image data 'pbm t :scale 8))) 
 Content analysis details:   (2.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (ynyaaa[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [209.51.188.17 listed in list.dnswl.org]
 2.0 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


A scaled checkered pattern image is converted into a solid gray image.
I expect a large chechered pattern.
Evaluating the form below, a solid gray square is displayed.

(let ((data "\
P1
8 8
01010101
10101010
01010101
10101010
01010101
10101010
01010101
10101010
"))
  (insert-image (create-image data 'pbm t :scale 8)))

The form below temporally displays another image.
The upper side is gray, the lower-left corner is black,
and the lower-right corner is white.
Once the text cursor gets on the image, the whole image is displayed as
a gray square.

(let ((data "P1\n2 2\n01\n10")
      (buf (generate-new-buffer "tmp")))
  (switch-to-buffer buf)
  (insert "\na")
  (goto-char (point-min))
  (redisplay)
  (insert-image (create-image data 'pbm t :scale 16)))


In GNU Emacs 27.0.60 (build 1, x86_64-w64-mingw32)
 of 2019-12-29 built on CIRROCUMULUS
Repository revision: 21c3020fcec0a32122d2680a391864a75393031b
Repository branch: emacs-27
Windowing system distributor 'Microsoft Corp.', version 10.0.18363
System Description: Microsoft Windows 10 Pro (v10.0.1909.18363.657)

Recent messages:

Configured using:
 'configure --without-dbus --host=x86_64-w64-mingw32
 --without-compress-install -C 'CFLAGS=-O2 -static -g3''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY W32NOTIFY ACL GNUTLS LIBXML2
HARFBUZZ ZLIB TOOLKIT_SCROLL_BARS MODULES THREADS PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: JPN
  locale-coding-system: cp932

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(thingatpt xref project ring gnutls network-stream nsm mailalias
smtpmail auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs json
map cl-extra misearch multi-isearch pp shadow sort mail-extr emacsbug
message rmc puny dired dired-loaddefs format-spec rfc822 mml mml-sec
password-cache epa derived epg epg-config gnus-util rmail rmail-loaddefs
text-property-search time-date subr-x seq byte-opt gv bytecomp
byte-compile cconv mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils term/bobcat help-fns radix-tree cl-print
debug backtrace help-mode easymenu find-func cl-loaddefs cl-lib
japan-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel dos-w32 ls-lisp disp-table term/w32-win w32-win
w32-vars term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads w32notify w32 lcms2 multi-tty make-network-process
emacs)

Memory information:
((conses 16 69135 12815)
 (symbols 48 7851 5)
 (strings 32 22941 1828)
 (string-bytes 1 729921)
 (vectors 16 15072)
 (vector-slots 8 259276 24684)
 (floats 8 37 321)
 (intervals 56 709 0)
 (buffers 1000 18))




Acknowledgement sent to ynyaaa@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#39736; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 24 Feb 2020 19:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.